<?php

Route::prefix('Producers')->name('Producers.')->group(function () {
    Route::get('', 'ProducerController@index')->name('index');
    Route::get('getDataTable', 'ProducerController@getDataTable')->name('getDataTable');
    Route::get('create', 'ProducerController@create')->name('create');
    Route::delete('destroy/{id?}', 'ProducerController@destroy')->name('destroy');
    Route::post('update', 'ProducerController@update')->name('update');
    Route::post('store', 'ProducerController@store')->name('store');
    Route::get('edit/{id}', 'ProducerController@edit')->name('edit');
    Route::post('getSelect', 'ProducerController@getOptions')->name('getSelect');
    Route::post('deleteImage', 'ProducerController@deleteImage')->name('deleteImage');
    Route::any('getImages/{id?}/{can_edit?}', 'ProducerController@getImages')->name('getImages');
});
